/*
 * @(#)IndeterminateProgressBarDemo.java 6/5/2005
 *
 * Copyright 2002 - 2005 JIDE Software Inc. All rights reserved.
 */

import com.jidesoft.plaf.LookAndFeelFactory;
import com.jidesoft.swing.JideBoxLayout;
import com.jidesoft.swing.AutoResizingTextArea;
import com.jidesoft.utils.SystemInfo;

import javax.swing.*;
import java.awt.*;
import java.awt.event.ActionEvent;

/**
 * <br>
 * Required jar files: jide-common.jar
 * <br>
 * Required L&F: any L&F
 */
public class IndeterminateProgressBarDemo extends AbstractDemo {
    protected JProgressBar _progressBar1;

    public IndeterminateProgressBarDemo() {
    }

    public String getName() {
        return "Indeterminate ProgressBar Demo";
    }

    public String getProduct() {
        return PRODUCT_NAME_COMPONENTS;
    }

    public String getDescription() {
        return "The Swing's default indetermined progress bar looks ugly (if you ever tried to use it). This is a better version of it.\n" +
                "\n" +
                "Demoed classes:\n" +
                "com.jidesoft.plaf.vsnet.VsnetProgressBarUI";
    }

    public Component getDemoPanel() {
        JPanel panel = new JPanel();
        panel.setPreferredSize(new Dimension(400, 200));
        panel.setLayout(new JideBoxLayout(panel, JideBoxLayout.Y_AXIS));
        _progressBar1 = new JProgressBar();
        _progressBar1.setString("Reading data ... (Indeterminate)");
        _progressBar1.setStringPainted(true);
        _progressBar1.setIndeterminate(true);
        panel.add(_progressBar1);

// for testing purpose        
//        panel.add(Box.createVerticalStrut(10));
//
//        JProgressBar progressBar2 = new JProgressBar();
//        progressBar2.setString("Reading data ... (Determinate)");
//        progressBar2.setStringPainted(true);
//        progressBar2.setIndeterminate(false);
//        progressBar2.setValue(50);
//        panel.add(progressBar2);

        panel.add(Box.createGlue(), JideBoxLayout.VARY);
        return panel;
    }

    public String getDemoFolder() {
        return "B12. IndeterminateProgressBar";
    }

    public Component getOptionsPanel() {
        return new JButton(new AbstractAction(){
            public void actionPerformed(ActionEvent e) {
                _progressBar1.setIndeterminate(false);
            }
        });
    }

    static public void main(String[] s) {
        LookAndFeelFactory.installDefaultLookAndFeelAndExtension();
        showAsFrame(new IndeterminateProgressBarDemo());
    }
}